Search Shipment Line Items
curl --request POST \
--url https://api.upwell.com/api/rest/shipment_line_items/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/shipment_line_items/search"
payload = {
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceSystem: '<string>', sourceSystemId: '<string>'})
};
fetch('https://api.upwell.com/api/rest/shipment_line_items/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipmentLineItems": [
{
"commodityDescription": "<string>",
"createdAt": "<unknown>",
"deliveryLocationName": "<string>",
"dimensionUnit": "<string>",
"freightClass": "<string>",
"handlingUnit": "<string>",
"handlingUnitQty": "<unknown>",
"handlingUnitType": "BAG",
"hazmatFlag": true,
"height": "<unknown>",
"id": "<string>",
"length": "<unknown>",
"lineNumber": 123,
"nmfcClass": "<string>",
"nmfcNumber": "<string>",
"packageQty": "<unknown>",
"packageType": "BAG",
"packageUnit": "<string>",
"pickupLocationName": "<string>",
"referenceNumber": "<string>",
"shipmentId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"updatedAt": "<unknown>",
"weight": "<unknown>",
"weightUnit": "<string>",
"weightUnitType": "CG",
"width": "<unknown>"
}
]
}{
"error": "Not-NULL violation. null value in column \"shipment_id\" of relation \"shipments\" violates not-null constraint",
"code": "constraint-violation"
}{
"error": "Authentication hook unauthorized this request",
"path": "$",
"code": "access-denied"
}Shipment Line Items
Search Shipment Line Items
Search for shipment line items by source system and source system ID
POST
/
api
/
rest
/
shipment_line_items
/
search
Search Shipment Line Items
Authorizations
Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.
Query Parameters
"sourceSystem" is required (enter it either in parameters or request body)
"sourceSystemId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
Responses for POST /api/rest/shipment_line_items/search
Show child attributes
Show child attributes

